<?php
/**
 * @file
 * Token hooks for Classified Ads module
 *
 * @copyright (c) 2010-2011 Ouest Systemes Informatiques (OSInet)
 *
 * @license General Public License version 2 or later
 *
 * Original code implementing a feature set derived from ed_classified.
 *
 * ---- Information about ed_classified ----
 *
 * Michael Curry, Exodus Development, Inc.
 * exodusdev@gmail.com
 * for more information, please visit:
 *   http://exodusdev.com/drupal/modules/ed_classified.module
 *
 * Copyright (c) 2006, 2007 Exodus Development, Inc.  All Rights Reserved.
 *
 * Licensed under the terms of the GNU Public License (GPL) version 2.  Please
 * see LICENSE.txt for license terms.  Possession and use of this code signifies
 * acceptance of license terms.
 * ---- /ed-classified ----
 */

/**
 * Implement hook_token_list().
 *
 * D6 version of D7 hook_token_info()
 *
 * @see classified_token_list()
 */
function _classified_token_list($type = 'all') {
  if ($type == 'user' || $type = 'all') {
    $tokens['user']['classified-ads-url'] = t("The URL of a user's ads list");
    $tokens['user']['ads'] = t('A list of classified ads by the user, depending on the context.');
  }
  else {
    $tokens = NULL;
  }
  return $tokens;
}

/**
 * Implements hook_token_values().
 *
 * D6 tokens are not chainable, unlike those in D7.
 *
 * @see classified_token_values()
 */
function _classified_token_values($type, $object = NULL, $options = array()) {
  $ret = NULL;
  if ($type == 'user') {
    $account = $object;
    $ret['classified-ads-url'] = url('user/'. $account->uid .'/classified', array('absolute' => TRUE));

    if (!isset($account->ads)) {
      $account->ads = array();
      $sq = _classified_get_ads_query(0);
      $q = db_query($sq, $account->uid);
      while ($row = db_fetch_array($q)) {
        $account->ads[$row['nid']] = $row['title'];
      }
    }
    $ads = '';
    foreach ($account->ads as $nid => $title) {
      $ads .= t("(@nid) @title\n", array('@nid' => $nid, '@title' => $title));
    }
    $ret['ads'] = $ads;
    unset($account, $ads, $nid, $q, $row, $sq, $title);
  }
  return $ret;
}
